describe('simplest async test', function () {
  it('should use inline fixture', function () {
    var fixture = $('<div><button class="button">start</button><div id="show">test</div></div>').appendTo('body');
    fixture.find('.button').click();
    expect(fixture.find('.button').text()).toEqual('started');
    fixture.remove();
  });
  
  it('should wait async', function () {
    var fixture = $('<div><button class="button">start</button><div id="show">test</div></div>').appendTo('body');
    fixture.find('.button').click();
    var finished = false;
    fixture.find('#show').bind('showed', function() {
      finished = true;
    });
    
    waitsFor(function(){
      return finished;
    }, 'wait animation!', 3000);
    
    runs(function() {
      expect(fixture.find('.button').text()).toEqual('end');
      fixture.remove();
    });
  });
});

